; An "empty" LAML mode used to distinguish LAML buffers from other buffers.

; The LAML library and programs written by Kurt Normark, Aalborg University, Denmark.
; Copyright (C) 1999  Kurt Normark, normark@cs.auc.dk.
; 
; This program is free software; you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation; either version 2 of the License, or
; (at your option) any later version.
; 
; This program is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
; 
; You should have received a copy of the GNU General Public License
; along with this program; if not, write to the Free Software
; Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


;; Syntax table
(defvar laml-mode-syntax-table nil "")

;; Abbrevs:
;(defvar laml-mode-abbrev-table nil "")
;(define-abbrev-table 'laml-mode-abbrev-table ())

;; Keymap
(defvar laml-mode-map (make-keymap) "")
; (suppress-keymap laml-mode-map)

;; Mode defining function. The keys are bound in the file dot-emacs-contributions.el
(defun laml-mode () 
  "A LAML (Lisp abstracted markup language) Emacs mode mode, which binds some keys (see below) to
a special useful LAML meaning. 

Laml mode key bindings:

 C-o       Asynchronous LAML processing
 C-i       Synchronous LAML processing
 C-x C-e   Embeding of selected string in a Scheme function and accompanying string splitting.
 C-x C-r   Unembeding of selected Scheme form and accompanying string assembly (inverse of embedding).
 M-C-q     Indent the S-expression under point.

The variables concatenate-form, laml-single-string-approach, and smart-word-determination controls the working of
the embed function (C-x C-e).

Runs laml-mode-hook for extension purposes."
  (interactive)
  (kill-all-local-variables)

  ;; attach a fresh copy of the standard syntax-table.
  ;  (if (not laml-mode-syntax-table)
  ;      (setq laml-mode-syntax-table (copy-syntax-table)))
  ;  (set-syntax-table laml-mode-syntax-table)
  ;
  ;  ;; modifications of the syntax table
  ;  ;  (modify-syntax-entry ?\$ "$$  ") ...
  ;

  (setq major-mode 'laml-mode)

  (setq mode-name "laml")

  ;; local abbrevs
  ; (setq local-abbrev-table laml-mode-abbrev-table)

  ;; special key-bindings in this mode.
  (use-local-map laml-mode-map)


  ;; run attached hooks.
  (run-hooks 'laml-mode-hook))



















